<?php

function commerce_ecpay_settings_form($form,&$form_state){

  $form['ecpay_status']=array(
    '#type' => 'radios',
    '#title'=>t('綠界系統狀態'),
    '#description'=>t('請選擇綠界系統狀態。例如：測試環境DEV,正式環境Production'),
    '#options' => array(
        'dev' => t('測試環境'),
        'production' => t('正式環境'),
    ),
    '#default_value' => !empty(variable_get("ecpay_status"))?variable_get("ecpay_status"):'dev',
    '#required' => TRUE,
    '#weight'=>0,
  );

  $form['ecpay_MerchantID'] = array(
    '#type'=>'textfield',
    '#title'=>t('MerchantID'),
    '#description'=>t('綠界提供廠商的正式MerchantID。(測試環境可使用：2000132)'),
    '#maxlength' => 255,
    '#size' => 30,
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_MerchantID"))?variable_get("ecpay_MerchantID"):'2000132',
    '#weight'=>1,
  );

  $form['ecpay_HashKey'] = array(
    '#type'=>'textfield',
    '#title'=>t('HashKey'),
    '#description'=>t('綠界提供廠商的正式HashKey。(測試環境可使用:5294y06JbISpM5x9)'),
    '#maxlength' => 255,
    '#size' => 30,
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_HashKey"))?variable_get("ecpay_HashKey"):'5294y06JbISpM5x9',
    '#weight'=>2,
  );

  $form['ecpay_HashIV'] = array(
    '#type'=>'textfield',
    '#title'=>t('HashIV'),
    '#description'=>t('綠界提供廠商的HashIV(測試環境可使用:v77hoKGq4kWxNNIS)'),
    '#maxlength' => 255,
    '#size' => 30,
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_HashIV"))?variable_get("ecpay_HashIV"):'v77hoKGq4kWxNNIS',
    '#weight'=>3,
  );

  $form['ecpay_TradeDesc'] = array(
    '#type'=>'textarea',
    '#title'=>t('交易描述'),
    '#description'=>t('每一筆訂單送到綠界時顯示的交易描述'),
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_TradeDesc"))?variable_get("ecpay_TradeDesc"):t('Buy Something using Commerce Ecpay AllInOne Module created by HelloSanta Corp.'),
    '#weight'=>3,
  );

  $form['ecpay_submit']=array(
    '#type'=>'submit',
    '#weight'=>10,
    '#value'=>t('儲存'),
  );
  return $form;
}

function commerce_ecpay_settings_form_submit($form,&$form_state){
  $ecpay_status = $form_state['values']['ecpay_status'];
  $ecpay_MerchantID = $form_state['values']['ecpay_MerchantID'];
  $ecpay_HashKey = $form_state['values']['ecpay_HashKey'];
  $ecpay_HashIV = $form_state['values']['ecpay_HashIV'];

  variable_set('ecpay_status',$ecpay_status);
  variable_set('ecpay_MerchantID',$ecpay_MerchantID);
  variable_set('ecpay_HashKey',$ecpay_HashKey);
  variable_set('ecpay_HashIV',$ecpay_HashIV);

  drupal_set_message(t('儲存成功'));
}

 ?>
